/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StyledSvg } from '../index.js';
describe('Spinner styled components', function () {
  test('StyledSvg - basic render', function () {
    var component = shallow(React.createElement(StyledSvg, null));
    expect(component.instance().getStyles()).toMatchSnapshot('StyledSvg has correct default styles');
  });
  test('StyledSvg - custom size', function () {
    var component = shallow(React.createElement(StyledSvg, {
      size: 56
    }));
    expect(component.instance().getStyles()).toMatchSnapshot('StyledSvg has correct height and width styles');
  });
  test('StyledSvg - custom color', function () {
    var component = shallow(React.createElement(StyledSvg, {
      color: "#00FF00"
    }));
    expect(component.instance().getStyles()).toMatchSnapshot('StyledSvg has correct fill value');
  });
});